Bug 2006164 - radare2-5.6.0 is available
Summary: radare2-5.6.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: radare2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Ambroz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2027695 2050589
TreeView+ depends on / blocked
 
Reported: 2021-09-21 02:42 UTC by Upstream Release Monitoring
Modified: 2022-02-22 01:17 UTC (History)
2 users (show)

Fixed In Version: radare2-5.6.0-1.el8 radare2-5.6.0-2.el7 radare2-5.6.0-1.fc34 radare2-5.6.0-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-21 00:35:03 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2021-09-21 02:42:52 UTC
Latest upstream release: 5.4.2
Current version/release in rawhide: 5.4.0-1.fc36
URL: https://www.radare.org

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11009/

Comment 1 Upstream Release Monitoring 2021-11-15 05:03:44 UTC
Latest upstream release: 5.5.0
Current version/release in rawhide: 5.4.2-1.fc36
URL: https://www.radare.org

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11009/

Comment 2 Upstream Release Monitoring 2021-12-07 12:36:07 UTC
Latest upstream release: 5.5.2
Current version/release in rawhide: 5.4.2-1.fc36
URL: https://www.radare.org

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11009/

Comment 3 Upstream Release Monitoring 2021-12-15 15:00:13 UTC
Latest upstream release: 5.5.4
Current version/release in rawhide: 5.4.2-1.fc36
URL: https://www.radare.org

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/11009/

Comment 4 Henrik Nordström 2022-01-26 15:40:25 UTC
Need to verify iaito compatibility with 5.5. There is not yet an iaito-5.5 release.

Comment 5 Upstream Release Monitoring 2022-02-03 09:15:13 UTC
Latest upstream release: 5.6.0
Current version/release in rawhide: 5.4.2-1.fc36.1
URL: https://www.radare.org

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/11009/

Comment 6 Henrik Nordström 2022-02-04 07:04:06 UTC
Waiting for suitable Iaito release

Comment 7 Michal Ambroz 2022-02-11 10:17:57 UTC
There is build error in 5.6.0
meson tries to execute the build from the embedded zip library, even though it should be building using the system shared library
https://koji.fedoraproject.org/koji/taskinfo?taskID=82629007
https://github.com/radareorg/radare2/issues/19681

Michal Ambroz

Comment 8 Michal Ambroz 2022-02-11 12:18:57 UTC
OK scratchbuild succeeded
https://koji.fedoraproject.org/koji/taskinfo?taskID=82675023

I will update the changelog with the list of fixed CVEs and push it to rawhide.

Comment 9 Fedora Update System 2022-02-12 01:01:59 UTC
FEDORA-2022-ba3248e596 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ba3248e596

Comment 10 Fedora Update System 2022-02-12 01:02:19 UTC
FEDORA-2022-3fc85cd09c has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-3fc85cd09c

Comment 11 Fedora Update System 2022-02-12 01:02:39 UTC
FEDORA-EPEL-2022-ba28d36d05 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-ba28d36d05

Comment 12 Fedora Update System 2022-02-12 01:02:59 UTC
FEDORA-EPEL-2022-93154093e5 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-93154093e5

Comment 13 Fedora Update System 2022-02-13 01:38:30 UTC
FEDORA-EPEL-2022-ba28d36d05 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-ba28d36d05

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-02-13 01:39:04 UTC
FEDORA-2022-3fc85cd09c has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-3fc85cd09c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-3fc85cd09c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-02-13 01:57:13 UTC
FEDORA-2022-ba3248e596 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-ba3248e596`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ba3248e596

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-02-13 02:01:57 UTC
FEDORA-EPEL-2022-93154093e5 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-93154093e5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2022-02-21 00:35:03 UTC
FEDORA-EPEL-2022-ba28d36d05 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2022-02-21 01:01:38 UTC
FEDORA-EPEL-2022-93154093e5 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2022-02-22 00:25:37 UTC
FEDORA-2022-ba3248e596 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2022-02-22 01:17:05 UTC
FEDORA-2022-3fc85cd09c has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.